<?php require_once('Connections/conn.php'); ?>
<?php session_start();

  // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO'];
 

  mysql_select_db("pregrado_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];
  
  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="ciu.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		return;
	  }  

  if ($tipo_usuario!="4") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="ciu.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
		return;
  }  
  

  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>siga_pregrado -- ciu</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    background-color: #FFFFFF01;
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    background-color: #FFFFFF01;
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    background-color: #FFFFFF01;
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Gesti&oacute;n de Aspirantes al CIU</tr></table>
<?php
  // $conn = connect();
  
  require_once('Connections/conn.php');
  mysql_select_db("pregrado_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  $showrecs = 100;
  $pagerange = 100;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert();
      break;
    case "update":
      sql_update();
      break;
    case "delete":
      sql_delete();
      break;
  }

  switch ($a) {
    case "add":
      addrec();
      break;
    case "edit":
      editrec($recid);
      break;
    case "del":
      deleterec($recid);
      break;
    default:
      select();
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr">!SIGA LA ENAHP!</td></tr></table>
</body>
</html>

<?php function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;


  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr><td>Aspirantes:&nbsp;<?php echo $startrec + 1 ?> - <?php echo $reccount ?> de <?php echo $count ?></td></tr>
</table>
<hr size="1" noshade>
<form action="ciu.php" method="post">
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><b>Filtrar por</b>&nbsp;</td>
<td><input type="text" name="filter" value="<?php echo $filter ?>"></td>
<td><select name="filter_field">
<option value="">Todos los Campos</option>
<option value="<?php echo "cedula_ciu" ?>"<?php if ($filterfield == "cedula_ciu") { echo "selected"; } ?>><?php echo htmlspecialchars("Cédula") ?></option>
<option value="<?php echo "nombres_ciu" ?>"<?php if ($filterfield == "nombres_ciu") { echo "selected"; } ?>><?php echo htmlspecialchars("Nombres") ?></option>
<option value="<?php echo "apellidos_ciu" ?>"<?php if ($filterfield == "apellidos_ciu") { echo "selected"; } ?>><?php echo htmlspecialchars("Apellidos") ?></option>
<option value="<?php echo "estatus" ?>"<?php if ($filterfield == "estatus") { echo "selected"; } ?>><?php echo htmlspecialchars("Status") ?></option>
</select></td>
<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Palabra Completa</td>
</td></tr>
<tr>
<td>&nbsp;</td>
<td><input type="submit" name="action" value="Aplicar Filtro"></td>
<td><a href="ciu.php?a=reset">Quitar Filtro</a></td>
</tr>
</table>
</form>
<hr size="1" noshade>
<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td class="hr" align="center">Editar</td>
<td class="hr" align="center">Borrar</td>
<td class="hr" align="center"><a class="hr" href="ciu.php?order=<?php echo "id_ciu" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Nro.") ?></a></td>
<td class="hr" align="center"><a class="hr" href="ciu.php?order=<?php echo "cedula_ciu" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Cédula") ?></a></td>
<td class="hr" align="center"><a class="hr" href="ciu.php?order=<?php echo "nombres_ciu" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Nombres") ?></a></td>
<td class="hr" align="center"><a class="hr" href="ciu.php?order=<?php echo "apellidos_ciu" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Apellidos") ?></a></td>
<td class="hr" align="center"><a class="hr" href="ciu.php?order=<?php echo "estatus" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Status") ?></a></td>
</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="ciu.php?a=edit&recid=<?php echo $i ?>"><img src="imagenes/edit.gif" border="0" ></a></td>
<td class="<?php echo $style ?>" align="center"><a href="ciu.php?a=del&recid=<?php echo $i ?>"><img src="imagenes/delete.png" border="0" ></a></td>
<td class="<?php echo $style ?>" align="right"><?php echo htmlspecialchars($row["id_ciu"]) ?>&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["cedula_ciu"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombres_ciu"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["apellidos_ciu"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["estatus"]) ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php } ?>

<?php function showrow($row, $recid)
  {
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Nro.")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["id_ciu"]) ?></td>
</tr>
<tr>
<td class="hr">C&eacute;dula&nbsp;</td>
<td class="dr"><?php echo htmlspecialchars($row["cedula_ciu"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nombres_ciu"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["apellidos_ciu"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Modalidad de Ingreso")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["modalidad"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Status")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["estatus"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Lapso de<br>Ingreso")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["periodo"]) ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  
  $estatus=$row["estatus"];
  $sede=$row["sede"];
  $turno=$row["turno"];
  
  if($sede=="14-01") $nombre_sede="LOS RUICES";
  if($sede=="14-02") $nombre_sede="PALO VERDE";
  if($sede=="14-03") $nombre_sede="LA URBINA";
  
  if($turno=="1") $nombre_turno="MATUTINO";
  if($turno=="2") $nombre_turno="VESPERTINO";
  if($turno=="4") $nombre_turno="NOCTURNO";
  
  $modalidad=$row["modalidad"];   
  $sql_modalidad1 = "select codigo, modalidad from modalidad_ingreso where codigo='$modalidad'";
  $rst_modalidad1=mysql_query($sql_modalidad1, $conn);
  $row_modalidad1 = mysql_fetch_assoc($rst_modalidad1);

  
  $sql_modalidad = "select codigo, modalidad from modalidad_ingreso";
  $rst_modalidad=mysql_query($sql_modalidad, $conn);
  $row_modalidad = mysql_fetch_assoc($rst_modalidad);
  
  $sql_lapso = "select id_periodo, codigo, tipo from periodos WHERE tipo='CIU' and status='ABIERTO'";
  $rst_lapso=mysql_query($sql_lapso, $conn);
  $row_lapso = mysql_fetch_assoc($rst_lapso);
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="70%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula de Identidad")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="cedula_ciu" value="<?php echo str_replace('"', '&quot;', trim($row["cedula_ciu"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres del Aspirante")."&nbsp;" ?></td>
<td class="dr"><input type="text"onKeyUp="this.value=this.value.toUpperCase();"  name="nombres_ciu" maxlength="50" value="<?php echo str_replace('"', '&quot;', trim($row["nombres_ciu"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos del Aspirante")."&nbsp;" ?></td>
<td class="dr"><input type="text" onKeyUp="this.value=this.value.toUpperCase();" name="apellidos_ciu" maxlength="50" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos_ciu"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Modalidad de Ingreso")."&nbsp;" ?></td>
<td class="dr"><select name="modalidad" id="modalidad" size="1">
 <option value="<?php echo $row_modalidad1['codigo']?>"><?php echo $row_modalidad1['modalidad']?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_modalidad['codigo']?>"><?php echo $row_modalidad['modalidad']?></option>
  <?php
} while ($row_modalidad = mysql_fetch_assoc($rst_modalidad));
  $rows = mysql_num_rows($rst_modalidad);
  if($rows > 0) {
      mysql_data_seek($rst_modalidad, 0);
	  $row_modalidad = mysql_fetch_assoc($rst_modalidad);
  }
?>
</select></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Lapso de Ingreso")."&nbsp;" ?></td>
<td class="dr"><select name="periodo" id="periodo" size="1">

  <?php
do {  
?>
  <option value="<?php echo $row_lapso['id_periodo']?>"><?php echo $row_lapso['codigo']?>&nbsp;(<?php echo $row_lapso['tipo']?>)</option>
  <?php
} while ($row_lapso = mysql_fetch_assoc($rst_lapso));
  $rows = mysql_num_rows($rst_lapso);
  if($rows > 0) {
      mysql_data_seek($rst_lapso, 0);
	  $row_lapso = mysql_fetch_assoc($rst_lapso);
  }
?>
</select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr"><select name="sede"> 
  <option value="<?php echo $sede ?>"><?php echo $nombre_sede ?></option>
  <option value="14-03">LA URBINA</option>
  <option value="14-01">LOS RUICES</option>
  <option value="14-02">PALO VERDE</option>
</select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Turno")."&nbsp;" ?></td>
<td class="dr"><select name="turno"> 
  <option value="<?php echo $turno ?>"><?php echo $nombre_turno ?></option>
  <option value="1">MATUTINO</option>
  <option value="2">VESPERTINO</option>
  <option value="4">NOCTURNO</option>
</select></td></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Status")."&nbsp;" ?></td>
<td class="dr"><select name="estatus"> 
  <option value="POSTULADO">POSTULADO</option>
</select></td>
</tr>
</table>
<?php } ?>

<?php function showrowadd($row, $iseditmode)
  {
  global $conn;
  
   $sql_modalidad = "select codigo, modalidad from modalidad_ingreso";
  $rst_modalidad=mysql_query($sql_modalidad, $conn);
  $row_modalidad = mysql_fetch_assoc($rst_modalidad);
  
  $sql_lapso = "select id_periodo, codigo, tipo from periodos WHERE tipo='CIU' and status='ABIERTO'";
  $rst_lapso=mysql_query($sql_lapso, $conn);
  $row_lapso = mysql_fetch_assoc($rst_lapso);
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="70%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula de Identidad")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="cedula_ciu" onBlur="verificar_cedula(this.value)" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["cedula_ciu"])) ?>"><iframe name="frame1" id="frame1" with="0" height="0" frameborder="0" ></iframe></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres del Aspirante")."&nbsp;" ?></td>
<td class="dr"><input type="text" onKeyUp="this.value=this.value.toUpperCase();"  name="nombres_ciu" maxlength="50" value="<?php echo str_replace('"', '&quot;', trim($row["nombres_ciu"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos del Aspirante")."&nbsp;" ?></td>
<td class="dr"><input type="text" onKeyUp="this.value=this.value.toUpperCase();" name="apellidos_ciu" maxlength="50" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos_ciu"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Modalidad de Ingreso")."&nbsp;" ?></td>
<td class="dr"><select name="modalidad" id="modalidad" size="1">
 <option value="0">Seleccione...</option>
  <?php
do {  
?>
  <option value="<?php echo $row_modalidad['codigo']?>"><?php echo $row_modalidad['modalidad']?></option>
  <?php
} while ($row_modalidad = mysql_fetch_assoc($rst_modalidad));
  $rows = mysql_num_rows($rst_modalidad);
  if($rows > 0) {
      mysql_data_seek($rst_modalidad, 0);
	  $row_modalidad = mysql_fetch_assoc($rst_modalidad);
  }
?>
</select></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Lapso de Ingreso")."&nbsp;" ?></td>
<td class="dr"><select name="periodo" id="periodo" size="1">

  <?php
do {  
?>
  <option value="<?php echo $row_lapso['id_periodo']?>"><?php echo $row_lapso['codigo']?>&nbsp;(<?php echo $row_lapso['tipo']?>)</option>
  <?php
} while ($row_lapso = mysql_fetch_assoc($rst_lapso));
  $rows = mysql_num_rows($rst_lapso);
  if($rows > 0) {
      mysql_data_seek($rst_lapso, 0);
	  $row_lapso = mysql_fetch_assoc($rst_lapso);
  }
?>
</select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr"><select name="sede"> 
  <option value="0">Seleccione...</option>
  <option value="14-03">LA URBINA</option>
  <option value="14-01">LOS RUICES</option>
  <option value="14-02">PALO VERDE</option>
</select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Turno")."&nbsp;" ?></td>
<td class="dr"><select name="turno"> 
   <option value="0">Seleccione...</option>
  <option value="1">MATUTINO</option>
  <option value="2">VESPERTINO</option>
  <option value="4">NOCTURNO</option>
</select></td></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Status")."&nbsp;" ?></td>
<td class="dr"><select name="estatus"> 
  <option value="POSTULADO">POSTULADO</option>
</select></td>
</tr>
</table>
<?php } ?>

<?php function showpagenav($page, $pagecount)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="ciu.php?a=add">Agregar </a>&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="ciu.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="ciu.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="ciu.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="ciu.php?page=<?php echo $page + 1 ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="ciu.php">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="ciu.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>">Registro Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="ciu.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>">Siguiente Registro</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec()
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="ciu.php">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="form1" id="form1" enctype="multipart/form-data" action="ciu.php" method="post" onSubmit="return validar_datos()">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "id_ciu" => "",
  "cedula_ciu" => "",
  "nombres_ciu" => "",
  "apellidos_ciu" => "",
  "modalidad" => "",
  "estatus" => "",
  "periodo" => "",
  "sede" => "",
  "turno" => "");
showrowadd($row, false);
?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php } ?>

<?php function editrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count);
?>
<br>
<form enctype="multipart/form-data" action="ciu.php" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid_ciu" value="<?php echo $row["id_ciu"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count);
?>
<br>
<form action="ciu.php" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xid_ciu" value="<?php echo $row["id_ciu"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
  $conn = mysql_connect("localhost", "siga_dbm", "2PN2QDmP6ZsHrcue");
  mysql_select_db("pregrado_pregrado");
  return $conn;
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  
    mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT `id_ciu`, `cedula_ciu`, `nombres_ciu`, `apellidos_ciu`, `modalidad`, `estatus`, `periodo`,sede,turno FROM `ciu`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`id_ciu` like '" .$filterstr ."') or (`cedula_ciu` like '" .$filterstr ."') or (`nombres_ciu` like '" .$filterstr ."') or (`apellidos_ciu` like '" .$filterstr ."') or (`modalidad` like '" .$filterstr ."') or (`estatus` like '" .$filterstr ."') or (`periodo` like '" .$filterstr ."')";
  }
  if (isset($order) && $order!='') $sql .= " order by `" .sqlstr($order) ."`";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  
    mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `ciu`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`id_ciu` like '" .$filterstr ."') or (`cedula_ciu` like '" .$filterstr ."') or (`nombres_ciu` like '" .$filterstr ."') or (`apellidos_ciu` like '" .$filterstr ."') or (`modalidad` like '" .$filterstr ."') or (`estatus` like '" .$filterstr ."') or (`periodo` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;

  $sql = "insert into `ciu` (
  `cedula_ciu`, 
  `nombres_ciu`, 
  `apellidos_ciu`, 
  `modalidad`, 
  `estatus`, 
  `periodo`,  
  `sede`, 
  `turno`) 
  values (
  " .sqlvalue(@$_POST["cedula_ciu"], false).", 
  " .sqlvalue(@$_POST["nombres_ciu"], true).", 
  " .sqlvalue(@$_POST["apellidos_ciu"], true).", 
  " .sqlvalue(@$_POST["modalidad"], false).", 
  " .sqlvalue(@$_POST["estatus"], true).", 
  " .sqlvalue(@$_POST["periodo"], false).", 
  " .sqlvalue(@$_POST["sede"], true).", 
  " .sqlvalue(@$_POST["turno"], false).")";
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_update()
{
  global $conn;
  global $_POST;

  $sql = "update `ciu` set `cedula_ciu`=" .sqlvalue(@$_POST["cedula_ciu"], false).", `nombres_ciu`=" .sqlvalue(@$_POST["nombres_ciu"], true).", `apellidos_ciu`=" .sqlvalue(@$_POST["apellidos_ciu"], true).", `modalidad`=" .sqlvalue(@$_POST["modalidad"], false).", `estatus`=" .sqlvalue(@$_POST["estatus"], true).", `turno`=" .sqlvalue(@$_POST["turno"], true).", `sede`=" .sqlvalue(@$_POST["sede"], true).", `periodo`=" .sqlvalue(@$_POST["periodo"], false) ." where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_delete()
{
  global $conn;

  $sql = "delete from `ciu` where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id_ciu`";
  if (@$_POST["xid_ciu"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_ciu"], false);
  };
  $pk .= ")";
  return $pk;
}
 ?>
 
 <script type="text/javascript">
	function validar_datos()
	{
	   	 			
		if(document.form1.cedula_ciu.value==""){
			alert("El campo <<Cédula>> es obligatorio");
			document.form1.cedula_ciu.focus();
			return false;
			}
		if(document.form1.nombres_ciu.value==""){
			alert("El campo <<Nombres del Aspirante>> es obligatorio");
			document.form1.nombres_ciu.focus();
			return false;
			}
	    if(document.form1.apellidos_ciu.value==""){
			alert("El campo <<Apellidos del Aspirante>> es obligatorio");
			document.form1.apellidos_ciu.focus();
			return false;
			}
		if(document.form1.modalidad.value==0){
			alert("El campo <<Modalidad de Ingreso>> es obligatorio");
			document.form1.modalidad.focus();
			return false;
			}
		if(document.form1.periodo.value==0){
			alert("El campo <<Lapso Académico>> es obligatorio");
			document.form1.periodo.focus();
			return false;
			}
		if(document.form1.sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.sede.focus();
			return false;
			}	
		if(document.form1.turno.value==0){
			alert("El campo <<Turno>> es obligatorio");
			document.form1.turno.focus();
			return false;
			}			
	    return true;
	}
</script>

<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
</script>

<script type="text/javascript">
function verificar_cedula(cedula, cedula_actual)
{
 	if (cedula!="")
	 {
	 if(cedula!=cedula_actual){
	    url="validar_alumno_ciu.php?cedula="+cedula;
	    frame1.location=url;
	 }	
    }
}
</script>	